﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.Threading;
using System.Globalization;

namespace SilverlightApplication337
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {                     
            Thread.CurrentThread.CurrentUICulture = new System.Globalization.CultureInfo("de-DE");
            Thread.CurrentThread.CurrentCulture = new System.Globalization.CultureInfo("de-DE");
            InitializeComponent();
            LayoutRoot.DataContext = new MyViewModel();
            this.MouseWheel += new MouseWheelEventHandler(MainPage_MouseWheel);
        }

        void MainPage_MouseWheel(object sender, MouseWheelEventArgs e)
        {
            try
            {
                throw new FormatException();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }
    }

    public class MyViewModel
    {
        public int IntProp { get; set; }

        private ObservableCollection<TestClass> items;
        public ObservableCollection<TestClass> Items
        {
            get
            {
                if (items == null)
                {
                    items = new ObservableCollection<TestClass>();
                }
                return items;
            }
            set
            {
                items = value;
            }
        }

        public MyViewModel()
        {
            Items = new ObservableCollection<TestClass>() { new TestClass() };
        }
    }

    public class TestClass
    {
        public int IntProp { get; set; }
        public string StringProp { get; set; }
    }
}
